<?php
namespace App\Http\Controllers;


use App\Http\Resources\BlogCategoriesCollection;
use App\Http\Resources\BlogDetailsResource;
use App\Models\Article;
use App\Models\Category;

use Illuminate\Http\Request;

class BlogsApiController extends Controller
{
    public function index(Request $request)
    {
        $categories = Category::with(['articles'])->orderBy('created_at')->get();
        return returnApi(['status' => 1, 'message' => '', 'categories' => new BlogCategoriesCollection($categories)
            ]
        );
    }
    public function details(Request $request)
    {
        $article = Article::with(['tags'])->where('slug',$request->slug)->orderBy('created_at')->first();
        return returnApi(['status' => 1, 'message' => '', 'solutions' => new BlogDetailsResource($article)
            ]
        );
    }

}
