<?php
namespace App\Http\Controllers;


use App\Http\Resources\BlogCategoriesCollection;
use App\Http\Resources\BlogDetailsResource;
use App\Http\Resources\CareersCollection;
use App\Http\Resources\CareersResource;
use App\Http\Resources\EventsCollection;
use App\Http\Resources\EventsResource;
use App\Models\Applicants;
use App\Models\Article;
use App\Models\Careers;
use App\Models\Category;

use App\Models\Events;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\Validator;


class CareersApiController extends Controller
{
    public function index(Request $request)
    {
        $events = Careers::orderBy('created_at','desc')->get();
         return returnApi(['status' => 1, 'message' => '', 'careers' => new CareersCollection($events)
            ]
        );
    }
    public function details(Request $request)
    {
        $article = Careers::where('slug',$request->slug)->orderBy('created_at')->first();
        return returnApi(['status' => 1, 'message' => '', 'career' => new CareersResource($article)
            ]
        );
    }
    public function apply(Request $request)
    {
        $validator = Validator::make($request->all(),[
            'cv' => 'required|mimes:doc,docx,pdf,txt,csv|max:2048',
        ]);

        if($validator->fails()) {

            return response()->json(['error'=>$validator->errors()], 401);
        }
        $uploadFolder = 'users';
        $image = $request->file('cv');
        $image_uploaded_path = $image->store($uploadFolder, 'public');
        $uploadedImageResponse = array(
                "image_name" => basename($image_uploaded_path),
                "image_url" => Storage::disk('public')->url($image_uploaded_path),
    "mime" => $image->getClientMimeType()
 );

        $data = $request->all();
        $data['cv'] = $uploadedImageResponse['image_name'];
        $applicant = Applicants::create($data);
         return returnApi(['status' => 1, 'message' => 'Application sent successfully']
        );
    }

}
