<?php
namespace App\Http\Controllers;


use App\Http\Resources\ClientsCollection;
use App\Http\Resources\FeaturesCategoriesCollection;
use App\Http\Resources\FeaturesCollection;
use App\Http\Resources\FeaturesResource;
use App\Http\Resources\PagesResource;
use App\Http\Resources\SettingsCollection;
use App\Http\Resources\SlidersCollection;
use App\Http\Resources\SolutionsCollection;
use App\Http\Resources\SolutionsResource;
use App\Models\Clients;
use App\Models\FeatureCategories;
use App\Models\Features;
use App\Models\Slider;
use App\Models\Page;
use App\Models\Solutions;
use Backpack\PageManager\PageManagerServiceProvider;
use Backpack\Settings\app\Models\Setting;
use GuzzleHttp\Client;
use Illuminate\Http\Request;

class SolutionsApiController extends Controller
{
    public function solutions(Request $request)
    {
        $solutions = Solutions::with(['solutiondetails'])->where('category','SOLUTION')->active()->orderBy('created_at')->get();
        return returnApi(['status' => 1, 'message' => '', 'solutions' => new SolutionsCollection($solutions)
            ]
        );
    }
    public function mobilitysolutions(Request $request)
    {
        $solutions = Solutions::with(['solutiondetails'])->where('category','MOBILITY SOLUTION')->active()->orderBy('created_at')->get();
        return returnApi(['status' => 1, 'message' => '', 'solutions' => new SolutionsCollection($solutions)
            ]
        );
    }

    public function solutionDetails(Request $request)
    {
        $solutions = Solutions::with(['solutiondetails'])->where('slug',$request->slug)->active()->first();
        return returnApi(['status' => 1, 'message' => '', 'solutions' => new SolutionsResource($solutions)
            ]
        );
    }
    public function features(Request $request)
    {
        $features = FeatureCategories::with(['features'])->active()->orderBy('created_at')->get();
        return returnApi(['status' => 1, 'message' => '', 'features_categories' => new FeaturesCategoriesCollection($features)
            ]
        );
    }
}
