<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class FeaturesCategoriesResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  Request  $request
     * @return array
     */
    public function toArray($request)
    {
         return [
              'slug'=>$this->slug,
             'title'=>$this->title,
             'description'=>$this->description,
             'seo'=>$this->extras,
             'features'=> new FeaturesCollection($this->features),

              'image'=>url('storage/' .$this->image)

         ];
    }

    /**
     * Get additional data that should be returned with the resource array.
     *
     * @param  Request  $request
     * @return array
     */
    public function with($request)
    {
        return [
            'meta' => [
                'message' => $this->resource['message'],
                'status' => $this->resource['messageStatus'],
            ],
        ];
    }
}
