<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class SettingsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  Request  $request
     * @return array
     */
    public function toArray($request)
    {
        if($this->id==26)
        {
            return [
              $this->key=>html_entity_decode($this->value, ENT_QUOTES, 'UTF-8') ,

         ];
        }
 
         return [
              $this->key=>strip_tags($this->value) ,

         ];
    }

    /**
     * Get additional data that should be returned with the resource array.
     *
     * @param  Request  $request
     * @return array
     */
    public function with($request)
    {
        return [
            'meta' => [
                'message' => $this->resource['message'],
                'status' => $this->resource['messageStatus'],
            ],
        ];
    }
}
