<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class SolutionsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  Request  $request
     * @return array
     */
    public function toArray($request)
    {
         return [

             'title'=>@$this->title,
             'description'=>@$this->description,
             'slug'=>@$this->slug,
             'image'=>url('storage/' .$this->image),
            'details'=>new SolutionDetailsCollection($this->solutiondetails)

         ];
    }

    /**
     * Get additional data that should be returned with the resource array.
     *
     * @param  Request  $request
     * @return array
     */
    public function with($request)
    {
        return [
            'meta' => [
                'message' => $this->resource['message'],
                'status' => $this->resource['messageStatus'],
            ],
        ];
    }
}
