<?php

namespace App\Models;

use Backpack\CRUD\app\Models\Traits\CrudTrait;
use Cviebrock\EloquentSluggable\Sluggable;
use Cviebrock\EloquentSluggable\SluggableScopeHelpers;
use Illuminate\Database\Eloquent\Model;
use Backpack\CRUD\app\Models\Traits\SpatieTranslatable\HasTranslations;

class Slider extends Model
{
    use CrudTrait;
    use HasTranslations;
    /*
    |--------------------------------------------------------------------------
    | GLOBAL VARIABLES
    |--------------------------------------------------------------------------
    */
    protected $appends = ['imgshow'];

    protected $table = 'slider';
    protected $primaryKey = 'id';
    public $timestamps = true;
    protected $translatable = ['title', 'description_top','description_bottom','description'];

    // protected $guarded = ['id'];
    protected $fillable = ['url', 'title', 'description_top', 'image', 'status', 'description_bottom','description'];
    // protected $hidden = [];
    // protected $dates = [];

    public function getImgshowAttribute()
    {

        return '/storage/'.$this->image;
    }
    public function scopeActive($query)
    {
        return $query->where('status', 'PUBLISHED');
    }
}
