<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('localization')->group(function () {
    Route::get('menu', 'HomeApiController@menu');
    Route::get('settings', 'HomeApiController@settings');
    Route::get('home', 'HomeApiController@home');
    Route::get('faqs-about', 'HomeApiController@faqsabout');
    Route::get('faqs', 'HomeApiController@faqs');
     Route::get('client_categories', 'HomeApiController@clientCategories');
    Route::get('clients/{id}', 'HomeApiController@clients');
     Route::get('clients', 'HomeApiController@clients');
    Route::get('features', 'SolutionsApiController@features');
    Route::get('solutions', 'SolutionsApiController@solutions');
    Route::get('solution/{slug}', 'SolutionsApiController@solutionDetails');
    Route::get('mobility-solutions', 'SolutionsApiController@mobilitysolutions');
    Route::get('page/{slug}', 'HomeApiController@page');
    Route::get('blogs', 'BlogsApiController@index');
    Route::get('blogs/{slug}', 'BlogsApiController@details');

    Route::get('careers', 'CareersApiController@index');
    Route::get('careers/{slug}', 'CareersApiController@details');
    Route::post('careers', 'CareersApiController@apply');
    Route::get('events', 'EventsApiController@index');
    Route::get('events/{slug}', 'EventsApiController@details');
    Route::post('contact-us', 'HomeApiController@contactUs');
    Route::get('request-services', 'HomeApiController@requestServices');
    Route::post('request-demo', 'HomeApiController@requestDemo');


 });
