<?php

use Illuminate\Support\Facades\Route;

// --------------------------
// Custom Backpack Routes
// --------------------------
// This route file is loaded automatically by Backpack\Base.
// Routes you generate using Backpack\Generators will be placed here.

Route::group([
    'prefix' => config('backpack.base.route_prefix', 'admin'),
    'middleware' => array_merge(
        (array) config('backpack.base.web_middleware', 'web'),
        (array) config('backpack.base.middleware_key', 'admin')
    ),
    'namespace' => 'App\Http\Controllers\Admin',
], function () { // custom admin routes
        Route::crud('article', 'ArticleCrudController');
        Route::crud('applicants', 'ApplicantsCrudController');
        Route::crud('careers', 'CareersCrudController');
        Route::crud('events', 'EventsCrudController');
    Route::crud('category', 'CategoryCrudController');
    Route::crud('tag', 'TagCrudController');
    Route::crud('slider', 'SliderCrudController');
    Route::crud('clients', 'ClientsCrudController');
    Route::crud('client-categories', 'ClientCategoriesCrudController');
    Route::crud('features', 'FeaturesCrudController');
    Route::crud('feature-categories', 'FeatureCategoriesCrudController');
    Route::crud('solutions', 'SolutionsCrudController');
    Route::crud('solution-details', 'SolutionDetailsCrudController');
    Route::crud('service-requests', 'ServiceRequestsCrudController');
    Route::crud('page', 'PageCrudController');
    Route::crud('faqs', 'FaqsCrudController');
    Route::crud('settings', 'SettingCrudController');
    Route::crud('demo-services', 'DemoServicesCrudController');
 }); // this should be the absolute last line of this file