<?php if($nested): ?>
    <div class="dropend">
        <a <?php echo e($attributes->merge([
            'class' => 'dropdown-item dropdown-toggle',
            'href' => $link ?? '#',
            'data-bs-toggle'=> 'dropdown',
            'role' => 'button',
            'aria-expanded' => 'false',
            'data-bs-auto-close' => 'outside',
            ])); ?>>
            <?php if($icon): ?><i class="nav-icon <?php echo e($icon); ?> d-block d-lg-none d-xl-block"></i><?php endif; ?>
            <?php if($title): ?><span><?php echo e($title); ?></span><?php endif; ?>
        </a>
        <div class="dropdown-menu <?php echo e($open ? 'show' : ''); ?>">
            <?php echo $slot; ?>

        </div>
    </div>

    <?php $bassetBlock = 'nested-dropdown-menu.js'; ob_start(); ?>
    <script type="text/javascript">
        document.querySelectorAll('aside a.nav-link.dropdown-toggle').forEach(function(el) {
            el.dataset.bsAutoClose = 'false';
        });
        document.querySelectorAll('header a.nav-link.dropdown-toggle').forEach(function(el) {
            let dropdownMenu = el.nextElementSibling;
            let hasNested = dropdownMenu.querySelector('.dropend');

            el.dataset.bsAutoClose = hasNested ? 'outside' : 'true';
        });
    </script>
    <?php Basset::bassetBlock($bassetBlock, ob_get_clean()); ?>
<?php else: ?>
<li class="nav-item dropdown">
    <a <?php echo e($attributes->merge([
        'class' => 'nav-link dropdown-toggle',
        'href' => $link ?? '#',
        'data-bs-toggle'=> 'dropdown',
        'role' => 'button',
        'aria-expanded' => 'false',
        'data-bs-auto-close' => 'true',
    ])); ?>>

        <?php if($icon): ?><i class="nav-icon <?php echo e($icon); ?> d-block d-lg-none d-xl-block"></i><?php endif; ?>
        <?php if($title): ?><span><?php echo e($title); ?></span><?php endif; ?>
    </a>
    <div class="dropdown-menu <?php echo e($open ? 'show' : ''); ?>" data-bs-popper="static">
    <?php echo $slot; ?>

    </div>
</li>
<?php endif; ?>
<?php /**PATH /home/dotzerone/public_html/exceed.dot-zerone.com/vendor/backpack/theme-tabler/resources/views/components/menu-dropdown.blade.php ENDPATH**/ ?>